summaryrefslogtreecommitdiff
path: root/tests.branching
diff options
context:
space:
mode:
authorSam Thursfield <sam.thursfield@codethink.co.uk>2012-10-11 13:16:52 +0100
committerSam Thursfield <sam.thursfield@codethink.co.uk>2012-10-11 13:16:52 +0100
commit627c9921bc4fe0541022e0589f9d2826d850effc (patch)
treee2f782322b0f236373b2852d2fc5cf7a8050c88c /tests.branching
parentbd31733cd891ac642c73d9c0aa3c48d623d58f10 (diff)
parent3abc867e6590b4306a7d8c39c4a0f39b2883f648 (diff)
downloadmorph-627c9921bc4fe0541022e0589f9d2826d850effc.tar.gz
Merge branch 'samthursfield/S5211-fix-foreach-with-full-uris'
Reviewed-By: Daniel Silverstone <daniel.silverstone@codethink.co.uk>
Diffstat (limited to 'tests.branching')
-rwxr-xr-xtests.branching/foreach-handles-full-urls.script27
-rw-r--r--tests.branching/foreach-handles-full-urls.stdout3
2 files changed, 30 insertions, 0 deletions
diff --git a/tests.branching/foreach-handles-full-urls.script b/tests.branching/foreach-handles-full-urls.script
new file mode 100755
index 00000000..cfe68704
--- /dev/null
+++ b/tests.branching/foreach-handles-full-urls.script
@@ -0,0 +1,27 @@
+#!/bin/sh
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+# morph foreach: should not break if we used a full URL for a repo
+
+set -eu
+
+cd "$DATADIR/workspace"
+"$SRCDIR/scripts/test-morph" init
+"$SRCDIR/scripts/test-morph" checkout file://$DATADIR/morphs master
+
+# This will fail if we get the directory name
+"$SRCDIR/scripts/test-morph" foreach -- git status
diff --git a/tests.branching/foreach-handles-full-urls.stdout b/tests.branching/foreach-handles-full-urls.stdout
new file mode 100644
index 00000000..1ef0b5aa
--- /dev/null
+++ b/tests.branching/foreach-handles-full-urls.stdout
@@ -0,0 +1,3 @@
+file://TMP/morphs
+# On branch master
+nothing to commit (working directory clean)